Sample Request
Basic Parameters
| Parameter | Description |
|---|---|
| Fields | Use a space separated string of field parameters to include the data in the response. If omitted, the default list of fields will be returned. |
| Filter | A filter to apply to the query. See the supported operators below. For more complex searches,see the related /search/<domain> endpoints,e.g. /search/systems.Filter structure: <field>:<operator>:<value>.field = Populate with a valid field from an endpoint response.operator = Supported operators are:- $eq (equals) |
$ne(does not equal)$gt(is greater than)$gte(is greater than or equal to)$lt(is less than)$lte(is less than or equal to)*Note: v1 operators differ from v2 operators.**Note: For v1 operators, excluding the$will result in undefined behavior.*value = Populate with the value you want to search for. Is case sensitive.Examples-GET /users?filter=username:$eq:testuserGET /systemusers?filter=password_expiration_date:$lte:2021-10-24GET /systemusers?filter=department:$ne:AccountingGET /systems?filter[0]=firstname:$eq:foo&filter[1]=lastname:$eq:bar- this willAND the filters together.GET /systems?filter[or][0]=lastname:$eq:foo&filter[or][1]=lastname:$eq:bar- this willOR the filters together. | | Sort | Use space separated sort parameters to sort the collection.Default sort is ascending. Prefix with-to sort descending. |
Advanced Parameters
| Parameter | Description |
|---|---|
| Limit | The number of records to return at once. Limited to 100. |
| Organization ID | Organization identifier that can be obtained from console settings. |
| Skip | The offset into the records to return. |